## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanQName::PrefixResolverProxy Class Reference

`#include <XalanQName.hpp>`

Inheritance diagram for XalanQName::PrefixResolverProxy:

[legend]
Collaboration diagram for XalanQName::PrefixResolverProxy:

[legend]
List of all members.

## Public Methods

- PrefixResolverProxy (const NamespacesStackType &theStack, const XalanDOMString &theURI)
    Construct a PrefixResolver from a NamespacesStackType instance. More...
- virtual ~PrefixResolverProxy ()
- virtual const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &prefix) const
    Retrieve a namespace corresponding to a prefix. More...
- virtual const XalanDOMString& getURI () const
    Retrieve the base URI for the resolver. More...

## Constructor & Destructor Documentation

XalanQName::PrefixResolverProxy::PrefixResolverProxy ( | const NamespacesStackType & theStack,
| const XalanDOMString & theURI )

Construct a PrefixResolver from a NamespacesStackType instance.

Parameters:

  theStack | The stack to use for prefix resolution
  theURI | The namespace URI of the resolver, if any. Only a reference is kept, so this cannot be a temporary

Returns:
  pointer to the string value if found, otherwise 0.

XalanQName::PrefixResolverProxy::~PrefixResolverProxy ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString * XalanQName::PrefixResolverProxy::getNamespaceForPrefix ( | const XalanDOMString & prefix ) const`[virtual]`

Retrieve a namespace corresponding to a prefix.

This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself.

Parameters:

  prefix | Prefix to resolve

Returns:
  namespace that prefix resolves to, or null if prefix is not found

Reimplemented from PrefixResolver.

const XalanDOMString & XalanQName::PrefixResolverProxy::getURI ( | ) const`[virtual]`

Retrieve the base URI for the resolver.

Returns:
  URI string

Reimplemented from PrefixResolver.

The documentation for this class was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.